Download it now!
Bug 129479 - FILEOPEN: DOCX: Drawings are not displayed
Summary: FILEOPEN: DOCX: Drawings are not displayed
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Vasily Melenchuk (CIB)
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-12-18 16:47 UTC by Xisco Faulí
Modified: 2020-01-22 17:00 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (12.83 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-12-18 16:47 UTC, Xisco Faulí
Details
comparison MSO 2010 and LibreOffice 6.5 Master (275.67 KB, image/png)
2019-12-18 16:49 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-12-18 16:47:49 UTC
Created attachment 156652 [details]
sample file

Steps to reproduce:
1. Open attached document

-> Some drawings representing the dropdown list button are not displayed. See comparison image

Reproduced in

Version: 6.5.0.0.alpha0+
Build ID: fb1eac64df88baae9f211d052793773686c0e180
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2019-12-18 16:49:04 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=c2d689790c332ffd2f0d73de6aae53f26f0fbe53

author	Vasily Melenchuk <vasily.melenchuk@cib.de>	2019-11-21 20:12:52 +0300
committer	Thorsten Behrens <Thorsten.Behrens@CIB.de>	2019-11-27 22:43:41 +0100
commit	c2d689790c332ffd2f0d73de6aae53f26f0fbe53 (patch)
tree	ca24314df7fae483a5b0914a20699fe6609a278b
parent	e0b70b1491143adb47990b746fe0b2e52b1ee7cb (diff)
tdf#128782: sw: assign name to draw object

Bisected with: bibisect-linux64-6.5

Adding Cc: to Vasily Melenchuk
Comment 2 Xisco Faulí 2019-12-18 16:49:43 UTC
Created attachment 156653 [details]
comparison MSO 2010 and LibreOffice 6.5 Master
Comment 3 Vasily Melenchuk (CIB) 2020-01-22 09:51:10 UTC
Fix https://git.libreoffice.org/core/commit/db8fdf20fbbb22e0510f0500140bbf7a3b2642f7 for tdf#129382 also should resolve this issue.
Comment 4 Xisco Faulí 2020-01-22 17:00:12 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: a821d89646ef25428cf5992f86d8f31581313bdb
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Vasily, thanks for fixing this issue!!